Decisions
Create a Decision
Saves a reusable typed question independently of daemon availability or message triggers.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/decisions" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "providerId": "string", "model": "string", "question": { "type": "choice", "instructions": "string", "criteria": { "property1": "string", "property2": "string" } } }'{ "name": "string", "providerId": "string", "model": "string", "question": { "type": "choice", "instructions": "string", "criteria": { "property1": "string", "property2": "string" } }, "visibility": "org", "sharedWith": [], "id": "string", "orgId": "string", "createdBy": "string", "createdAt": "string", "updatedAt": "string", "canEdit": true}